#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, m;
    cin >> n >> m;

    vector<vector<int>> a(n, vector<int>(m));
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            cin >> a[i][j];
        }
    }

    int x = 0;
    for (int i = 0; i < n; i++) {
        x ^= a[i][0];
    }
    for (int j = 0; j < m; j++) {
        x ^= a[0][j];
    }
    x ^= a[0][0];

    long long suma = 0;
    int i = 0;
    while(i < n ) {
        for (int j = 0; j < m; j++) {
            int vrednost = a[i][j];
            if ((i == 0 && j == 0) || (i == 0 && j != 0) || (i != 0 && j == 0)) {
                
                vrednost ^= x;
            } else {
               
                vrednost ^= x ^ a[0][j] ^ a[i][0];
            }
            suma += vrednost;
            a[i][j] = vrednost;
        }
        i++;
    }

    cout << suma << endl;
    return 0;
}